observeInstallationPush
curl --request POST \
--url https://galinum.com/api/v1/sdk/installations/{installationId}/observations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Galinum-Installation-Capability: <api-key>' \
--data '
{
"bindingGeneration": 4503599627370495,
"commands": [
{
"id": "<string>",
"sequence": 4503599627370496,
"targetId": "<string>",
"attemptId": "<string>"
}
]
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}/observations"
payload = {
"bindingGeneration": 4503599627370495,
"commands": [
{
"id": "<string>",
"sequence": 4503599627370496,
"targetId": "<string>",
"attemptId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bindingGeneration: 4503599627370495,
commands: [
{
id: '<string>',
sequence: 4503599627370496,
targetId: '<string>',
attemptId: '<string>'
}
]
})
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}/observations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindingGeneration' => 4503599627370495,
'commands' => [
[
'id' => '<string>',
'sequence' => 4503599627370496,
'targetId' => '<string>',
'attemptId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}/observations"
payload := strings.NewReader("{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/sdk/installations/{installationId}/observations")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"acknowledgedThrough": 4503599627370495
}Push
observeInstallationPush
POST
/
api
/
v1
/
sdk
/
installations
/
{installationId}
/
observations
observeInstallationPush
curl --request POST \
--url https://galinum.com/api/v1/sdk/installations/{installationId}/observations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Galinum-Installation-Capability: <api-key>' \
--data '
{
"bindingGeneration": 4503599627370495,
"commands": [
{
"id": "<string>",
"sequence": 4503599627370496,
"targetId": "<string>",
"attemptId": "<string>"
}
]
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}/observations"
payload = {
"bindingGeneration": 4503599627370495,
"commands": [
{
"id": "<string>",
"sequence": 4503599627370496,
"targetId": "<string>",
"attemptId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bindingGeneration: 4503599627370495,
commands: [
{
id: '<string>',
sequence: 4503599627370496,
targetId: '<string>',
attemptId: '<string>'
}
]
})
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}/observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}/observations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bindingGeneration' => 4503599627370495,
'commands' => [
[
'id' => '<string>',
'sequence' => 4503599627370496,
'targetId' => '<string>',
'attemptId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}/observations"
payload := strings.NewReader("{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/sdk/installations/{installationId}/observations")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}/observations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bindingGeneration\": 4503599627370495,\n \"commands\": [\n {\n \"id\": \"<string>\",\n \"sequence\": 4503599627370496,\n \"targetId\": \"<string>\",\n \"attemptId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"acknowledgedThrough": 4503599627370495
}Authorizations
Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.
Locally generated installation capability. Required with the project publishable key for installation reads and mutations.
Path Parameters
Required string length:
1 - 128Body
application/json
Maximum encoded body size: 65536 bytes.
Response
Successful operation. Acceptance is distinct from device receipt.
Required range:
0 <= x <= 9007199254740991